/**
player addAction ["Open Garage",{
	// _vehicle is consumed by the garage script it seems!
	private _vehicle = createVehicle [ "Land_HelipadEmpty_F", getPos garageSpawn, [], 0, "CAN_COLLIDE" ];
	[ "Open", [true, _vehicle] ] call BIS_fnc_garage; 
}];

[missionNamespace, "garageClosed",{
	private _pos = player getPos [20, getDir player];
	_pos set [2, getPosASL player # 2];
	BIS_fnc_garage_center setPosASL _pos;
	systemChat "Garage closed, vehicle transfered";
}]call BIS_fnc_addScriptedEventHandler;
**/

player addAction ["Open Elevator Garage",{
	// _vehicle is consumed by the garage script it seems!

	private _elevator2 = Nimitz getVariable "JDG_carrier_ele_2";
	[_elevator2, 1] spawn ttt_fnc_elevator;

	waitUntil {_elevator2 animationPhase 'ani_ElevBarB' < -0.99};

	private _vehicle = createVehicle [ "Land_HelipadEmpty_F", getPos garageSpawn, [], 0, "CAN_COLLIDE" ];
	[ "Open", [true, _vehicle] ] call BIS_fnc_garage; 
}];

[missionNamespace, "garageClosed",{
	private _elevator2 = Nimitz getVariable "JDG_carrier_ele_2";
	private _nimspots = Nimitz getVariable "nimspots";
	private _pos = _nimspots modelToWorld (_nimspots selectionPosition "E2B");
	// move to outer part of elevator, save height
	private _h = _pos # 2;
	_pos = _pos getPos [2.5, (getDir Nimitz + 90)];
	_pos set [2, _h];
	// face towards flight deck
	BIS_fnc_garage_center setDir (getDir Nimitz -90);
	BIS_fnc_garage_center setPosASL _pos;
	systemChat "Garage closed, vehicle transfered";
	[_elevator2, 0] spawn ttt_fnc_elevator;
	systemChat "Sending elevator up";

}]call BIS_fnc_addScriptedEventHandler;
